/***
 * Fractal ADL Parser
 * Copyright (C) 2006-2007 STMicroelectronics
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: fractal@objectweb.org
 *
 * Author: Matthieu Leclercq
 */

package org.objectweb.fractal.adl;

/**
 * Error thrown when an internal error occurs in the compiler.
 */
public class CompilerError extends Error {

  /**
  * 
  */
  private static final long serialVersionUID = 1600639157911278336L;

  /**
   * Constructs a new {@link CompilerError}.
   * 
   * @param message a detail message.
   * @param cause the cause of this error.
   */
  public CompilerError(final String message, final Throwable cause) {
    super(message, cause);
  }

  /**
   * Constructs a new {@link CompilerError}.
   * 
   * @param message a detail message.
   */
  public CompilerError(final String message) {
    super(message);
  }

  /**
   * Constructs a new {@link CompilerError}.
   * 
   * @param cause the cause of this error.
   */
  public CompilerError(final Throwable cause) {
    super(cause);
  }
}
